## proxycheck 0.46

=== Makefile ===
# $Id: Makefile,v 1.12 2004/02/17 18:38:37 mjt Exp $
# Makefile for proxycheck.  GPL

CC = cc
CFLAGS = -O
DEFS = -D_GNU_SOURCE
LD = $(CC)
LDFLAGS =

# For Solaris, we need -lsocket -lnsl and -lresolv for inet_aton
RSOCKLIBS = `[ -f /usr/lib/libsocket.so ] && echo -lresolv -lsocket -lnsl || :`
SOCKLIBS = `[ -f /usr/lib/libsocket.so ] && echo -lsocket -lnsl || :`

USE_CFLAGS = $(CFLAGS) $(DEFS)

SRCS = proxycheck.c pxy.c event.c memmem.c proxylogger.c
HDRS = pxy.h event.h
DIST = $(SRCS) $(HDRS) Makefile event.3 proxycheck.1 CHANGES
VERSION = 0.46
VERSION_DATE = 2004-02-17

all: proxycheck

proxycheck_OBJS = proxycheck.o pxy.o event.o memmem.o
proxycheck: $(proxycheck_OBJS)
	$(LD) $(LDFLAGS) -o $@ $(proxycheck_OBJS) $(RSOCKLIBS)

proxylogger_OBJS = proxylogger.o
proxylogger: $(proxylogger_OBJS)
	$(LD) $(LDFLAGS) -o $@ $(proxylogger_OBJS) $(SOCKLIBS)

.c.o:
	$(CC) $(USE_CFLAGS) -c $<

proxycheck.o:
	$(CC) $(USE_CFLAGS) -c -DVERSION_STR='"$(VERSION) $(VERSION_DATE)"' $<

b = proxycheck-$(VERSION)
dist: $(b).tar.gz
$(b).tar.gz: $(DIST)
	rm -rf $(b)
	mkdir $(b)
	ln $(DIST) $(b)/
	tar cfz $@ $(b)
	rm -rf $(b)

clean:
	rm -f *~ *.o core

depend dep deps:
	@echo Generating deps for:
	@echo \ $(SRCS)
	@sed '/^# depend/q' Makefile > Makefile.tmp
	@$(CC) $(CFLAGS) -MM $(SRCS) >> Makefile.tmp
	@if cmp Makefile.tmp Makefile ; then \
	  echo Makefile unchanged; \
	  rm -f Makefile.tmp; \
	else \
	  echo Updating Makfile; \
	  mv -f Makefile.tmp Makefile ; \
	fi

# depend: anything after this line will be replaced by make depend
proxycheck.o: proxycheck.c event.h pxy.h
pxy.o: pxy.c event.h pxy.h
event.o: event.c event.h
memmem.o: memmem.c
proxylogger.o: proxylogger.c

## proxycheck 0.49a

=== debian/changelog ===
proxycheck (0.49a-10) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Marcos Talau <talau@debian.org>  Mon, 10 Nov 2025 18:58:30 -0300

proxycheck (0.49a-9) experimental; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/*: Create autopkgtest.

 -- Felipe Fontoura de Moraes <moraesf@alunos.utfpr.edu.br>  Wed, 28 May 2025 01:03:00 -0300

proxycheck (0.49a-8) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1067278)
  * Simplify cleaning.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Apr 2024 13:46:34 +0200

proxycheck (0.49a-7) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.6.1.
      - Created VCS fields.
      - Improved the long description.
      - Updated 'Homepage' field to use https protocol.
  * debian/copyright:
      - Added licensing for new files.
      - Changed 'Source' field to use https.
      - Updated packaging copyright data.
  * debian/patches/:
      - 050_fix-typo-in-manual.patch: created to fix typos in manual.
      - Added a numeric prefix for all patches.
      - Refreshed all patches.
  * debian/rules:
      - Added './configure' in dh_auto_clean to generate a Makefile allowing
        distclean.
      - Moved Makefile removal from dh_clean target to dh_auto_clean.
      - Removed no longer needed 'override_dh_clean' target.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/watch: changed protocol to https.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Mon, 20 Jun 2022 11:27:29 -0300

proxycheck (0.49a-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #980955)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Set Rules-Requires-Root:no.
      - Bumped Standards-Version to 4.5.1.
      - Set section and priority fields matching override.
  * debian/copyright: Add dep5 copyright.
  * debian/watch: Use uscan version 4.

 -- Joao Paulo Lima de Oliveira <jlima.oliveira11@gmail.com>  Mon, 01 Feb 2021 13:37:46 -0400

proxycheck (0.49a-5) unstable; urgency=medium

  * Standards version updated.
  * Debhelper compat 9, simple rules (Closes: #817630).
  * Misc dependencies added.
  * Hardening with dpkg-buildflags.
  * Hardening by importing CPPFLAGS.
  * Source format 3.0 quilt, patches migrated.
  * Fixed copyright.
  * Fixed spelling.

 -- Al Nikolov <clown@debian.org>  Fri, 08 Jul 2016 01:37:03 +0300

proxycheck (0.49a-4) unstable; urgency=low

  * Updated to follow Standards-Version 3.7.3
  * Home page moved out from description

 -- Al Nikolov <clown@debian.org>  Fri, 14 Dec 2007 12:33:35 +0300

proxycheck (0.49a-3) unstable; urgency=low

  * Updated to follow Standards-Version 3.7.2

 -- Al Nikolov <alnikolov@narod.ru>  Fri, 27 Oct 2006 15:15:19 +0400

proxycheck (0.49a-2) unstable; urgency=low

  * Input sanitizing. Closes: #290970
  * Bringing to conform the Debian Policy.

 -- Al Nikolov <alnikolov@narod.ru>  Fri, 27 Jan 2006 21:52:11 +0300

proxycheck (0.49a-1) unstable; urgency=low

  * New upstream release. Closes: #257109: New upstream available
  * Debianized from scratch. Original Makefile.in was not touched now.
  * The man page was corrected to conform
    <http://lists.debian.org/debian-devel/2003/debian-devel-200303/msg01481.html>
    (dashes, emdashes and minuses).
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- Al Nikolov <alnikolov@narod.ru>  Fri, 10 Sep 2004 14:55:23 +0400

proxycheck (0.46-1) unstable; urgency=low

  * New upstream release

 -- Al Nikolov <alnikolov@narod.ru>  Fri,  2 Apr 2004 17:21:27 +0400

proxycheck (0.45a-2) unstable; urgency=low

  * Updated to follow Standards version 3.6.1
  * Cleaned up unneeded rules, dirs and files

 -- Al Nikolov <alnikolov@narod.ru>  Thu,  1 Apr 2004 19:39:56 +0400

proxycheck (0.45a-1) unstable; urgency=low

  * Initial Release.
  * Adjusted the Makefile.
  * Sponsored by Matthew Palmer <mpalmer@debian.org>

 -- Al Nikolov <alnikolov@narod.ru>  Tue, 10 Feb 2004 19:53:54 +1100

=== debian/control ===
Source: proxycheck
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.corpit.ru/mjt/proxycheck.html
Vcs-Browser: https://salsa.debian.org/debian/proxycheck
Vcs-Git: https://salsa.debian.org/debian/proxycheck.git

Package: proxycheck
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: checks existence of open proxy
 proxycheck is a simple tool that will work on a reasonable *nix system and
 may be used to quickly check whenever a given host or set of hosts
 has open proxy server running.
 .
 This package is useful for computer network security checks and also Pentests.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	./configure

execute_after_dh_auto_clean:
	rm -f proxycheck Makefile

=== debian/tests/control ===
Test-Command: proxycheck -h | grep '^proxycheck: Open proxy checker'
Features: test-name=print-help
Restrictions: superficial

Tests: should-find-proxy
Depends: @, apache2, net-tools, wget, ziproxy
Restrictions: allow-stderr, isolation-container, needs-root, skippable

Test-Command: proxycheck -aaaaa -vvvvv -d localhost:80 -c chat::"not an expected string" localhost:8080
Features: test-name=should-not-find-proxy
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://www.corpit.ru/mjt/proxycheck/proxycheck-(.*)\.tar\.gz
